package de.ivu.elect.business.security.control;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;


import static java.util.Collections.singletonList;

public class RandomGeneratorKonfigurationInit extends AbstractKonfigurationInit {
  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {

    return singletonList( //
        create(ElectKonfigurationWerte.ELECT_COMMON_RANDOM_GENERATOR_SECURE, getDefaultRandomGeneratorSecure()) // ELECT-8368
    );

  }

  protected boolean getDefaultRandomGeneratorSecure() {
    return false;
  }
}
